#@+leo-ver=4
#@+node:@file settings_menu.py
"""Create a settings menu to replace LeoConfig.leo"""

from leoPlugins import *
from leoGlobals import *

try:  import Tkinter
except: Tkinter = None

import leoApp,leoAtFile,leoTkinterDialog,leoFileCommands,leoFrame,leoNodes

if Tkinter and 0: # Register the handlers...

	settingsMenu = None

	#@	@+others
	#@+node:createSettingsMenu
	def createSettingsMenu (tag,keywords):
	
		c = keywords.get("c")
		
		global settingsMenu
		settingsMenu = c.frame.createNewMenu("&Settings")
	#@nonl
	#@-node:createSettingsMenu
	#@-others
	
	# registerHandler("start1",onAfterFinishCreate)
	registerHandler("create-optional-menus",createSettingsMenu)

	__version__ = "0.1"
	plugin_signon(__name__)
#@nonl
#@-node:@file settings_menu.py
#@-leo
